/**
 * @file
 * Select All functionality for the Taxonomy Group Field widget.
 */
(function ($) {
  $(document).ready(function() {
    // Turn a group on or off if the Parent/Select All box is selected
    $("input[tgf-selector]").each(function() {
      var gid = $(this).attr('tgf-selector');
      var group = $("input[tgf-group='" + gid + "']");

      $(this).click(function() {
        group.selected($(this).is(':checked'));
      });
    });

    // Do some validation when children are clicked
    $("input[tgf-group]").click(function() {
      var gid = $(this).attr('tgf-group');
      var sibs = $("input[tgf-group='" + gid + "']");
      var checked = $("input[tgf-group='" + gid + "']:checked");

      // Unselect the parent if a child is unselected
      if ($(this).not(':checked')) {
        $("input[tgf-selector='" + gid + "']").selected(false);
      }

      // Select the parent if all children are selected
      if (sibs.length == checked.length) {
        $("input[tgf-selector='" + gid + "']").selected(true);
      }
    });
  });
})(jQuery);
